﻿using HeuristicLab.Clients.Hive.WebJobManager.Models;
using HeuristicLab.Optimization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
{
    /// <summary>
    /// Used to show data of uploaded files
    /// </summary>
    public class UploadedJobViewModel : MasterVM
    {
        public UploadedJobViewModel(HiveWebUser hwu) : base(hwu)
        {
            FullDatePaths = new List<string>();
            DisplayDatePaths = new List<string>();
            FullFilesPaths = new List<string>();
            DisplayFilesPaths = new List<string>();
            SelectedIndex = -1;
        }
        public void clear()
        {
            FullDatePaths = new List<string>();
            DisplayDatePaths = new List<string>();
            FullFilesPaths = new List<string>();
            DisplayFilesPaths = new List<string>();
            SelectedIndex = -1;
        }
        public List<string> FullDatePaths { get; set; }
        public List<string> DisplayDatePaths { get; set; }
        public List<string> FullFilesPaths { get; set; }
        public List<string> DisplayFilesPaths { get; set; }
        public int SelectedIndex { get; set; }
        
    }
}
